# Class FileUploadReceiver

java.lang.Object
org.eclipse.rap.fileupload.FileUploadReceiver

Direct Known Subclasses:
  `DiskFileUploadReceiver`

public abstract class FileUploadReceiver extends Object
Instances of this interface are responsible for reading and processing the data from a file upload.

## Constructor Summary

Constructors
Constructor
Description
`FileUploadReceiver()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`receive(InputStream stream, FileDetails details)`
Reads and processes all data from the provided input stream.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileUploadReceiver

public FileUploadReceiver()

## Method Details

### receive

public abstract void receive(InputStream stream, FileDetails details) throws IOException
Reads and processes all data from the provided input stream.

Parameters:
  `stream` - the stream to read from
  `details` - the details of the uploaded file like file name, content-type and size
Throws:
  `IOException` - if an input / output error occurs